Skip to content

Anonymize entity
deprecated

Request

Anonymize the requested entity (user or conversation). For a conversation to be successfully anonymized, it should be in the status closed. Otherwise, it requires forceAnonymization parameter set to true in the input body. NOTE: This endpoint is deprecated. Prefer using the anonymization endpoints of specific resources instead.

Security
ApiKeyAuth
Bodyapplication/jsonrequired

A request to anonymize an entity in the system (user or conversation).

entityIdstringrequired
entityTypeConversationAnonymizationType (object) or MessageAnonymizationType (object) or UnknownAnonymizationType (object) or UserAnonymizationType (object)(DeprecatedAnonymizationType)
One of:

Replaced by _type field

object(ConversationAnonymizationType)
forceAnonymizationboolean
_typestring

values: [Conversation, Message, User]

POST
/v1/anonymization
curl -i -X POST \
  https://dev.dixa.io/v1/anonymization \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "entityId": "a53b25da-f676-4c52-acac-58c9280aa23d",
    "_type": "User"
  }'

Responses

The anonymization request status

Bodyapplication/json
dataobject(AnonymizationRequestStatus)required
Response
{ "data": { "id": "a53b25da-f676-4c52-acac-58c9280aa23d", "entityType": "UserAnonymizationType", "_type": "User", "initiatedAt": "2021-12-01T12:46:36.581Z[GMT]", "targetEntityId": "6292b720-9dbd-4ff7-8942-f4e917cc1520", "requestedBy": "062f0b37-4de0-40f2-95a4-641435cb2869" } }